Listar cuentas virtuales
curl --request GET \
--url https://sandbox-rampa.mesadepagos.com/api/v3/virtual-accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-rampa.mesadepagos.com/api/v3/virtual-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-rampa.mesadepagos.com/api/v3/virtual-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox-rampa.mesadepagos.com/api/v3/virtual-accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox-rampa.mesadepagos.com/api/v3/virtual-accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox-rampa.mesadepagos.com/api/v3/virtual-accounts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox-rampa.mesadepagos.com/api/v3/virtual-accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"virtualAccounts": [
{
"id": "b456c905-8d9a-4aff-9cf9-657e452e07c6",
"owner": {
"type": "businessClient",
"id": "4500678e-a900-4138-828c-b8f9c7ff5ebe"
},
"country": "US",
"currency": "USD",
"paymentMethods": [
"ach",
"wire"
],
"status": "ready",
"label": "Cuenta de cobro Bolivia",
"externalReference": "ref-001",
"coordinates": {
"holder": {
"name": "Acme Bolivia SRL",
"type": "individual",
"address": "Av. San Martin 123, Santa Cruz de la Sierra, BO"
},
"bank": {
"name": "JP Morgan Chase NA",
"address": "New York NY, US"
},
"iban": "AE950266395745362337381",
"accountNumber": "41000100267",
"swiftCode": "ZEITPRSJ",
"taxId": "1020304050",
"routingNumbers": {
"ach": "028000024",
"wire": "021000021",
"rtp": "021000021"
}
},
"createdAt": "2026-09-17T14:49:35.054Z"
}
]
}{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request"
}{
"statusCode": 401,
"message": "Unauthorized"
}Virtual accounts
Listar cuentas virtuales
Sin filtros devuelve las cuentas de los clientes del partner. Las cuentas del propio partner se piden por su moneda.
GET
/
v3
/
virtual-accounts
Listar cuentas virtuales
curl --request GET \
--url https://sandbox-rampa.mesadepagos.com/api/v3/virtual-accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-rampa.mesadepagos.com/api/v3/virtual-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-rampa.mesadepagos.com/api/v3/virtual-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox-rampa.mesadepagos.com/api/v3/virtual-accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox-rampa.mesadepagos.com/api/v3/virtual-accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox-rampa.mesadepagos.com/api/v3/virtual-accounts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox-rampa.mesadepagos.com/api/v3/virtual-accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"virtualAccounts": [
{
"id": "b456c905-8d9a-4aff-9cf9-657e452e07c6",
"owner": {
"type": "businessClient",
"id": "4500678e-a900-4138-828c-b8f9c7ff5ebe"
},
"country": "US",
"currency": "USD",
"paymentMethods": [
"ach",
"wire"
],
"status": "ready",
"label": "Cuenta de cobro Bolivia",
"externalReference": "ref-001",
"coordinates": {
"holder": {
"name": "Acme Bolivia SRL",
"type": "individual",
"address": "Av. San Martin 123, Santa Cruz de la Sierra, BO"
},
"bank": {
"name": "JP Morgan Chase NA",
"address": "New York NY, US"
},
"iban": "AE950266395745362337381",
"accountNumber": "41000100267",
"swiftCode": "ZEITPRSJ",
"taxId": "1020304050",
"routingNumbers": {
"ach": "028000024",
"wire": "021000021",
"rtp": "021000021"
}
},
"createdAt": "2026-09-17T14:49:35.054Z"
}
]
}{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request"
}{
"statusCode": 401,
"message": "Unauthorized"
}Autorizaciones
JWT obtenido desde /v2/auth/login o /v3/auth/login
Parámetros de consulta
Acota a una moneda. BOB devuelve las cuentas del propio partner; el resto de las monedas, las de sus clientes.
Required string length:
3Ejemplo:
"USD"
Acota a las cuentas de un cliente puntual.
Respuesta
Show child attributes
Show child attributes